package com.ruoyi.system.domain;

import com.alibaba.fastjson2.JSONObject;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 校园新闻对象 xiaoyuan_notice
 * 
 * @author boman
 * @date 2023-06-05
 */
public class XiaoyuanNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 新闻ID */
    private Integer noticeId;

    /** 新闻缩略图 */
    @Excel(name = "新闻缩略图")
    private String image;

    /** 新闻标题 */
    @Excel(name = "新闻标题")
    private String noticeTitle;

    /** 新闻类型（1系统通知 2代办通知） */
    @Excel(name = "新闻类型", readConverterExp = "1=系统通知,2=代办通知")
    private String noticeType;

    /** 新闻内容 */
    @Excel(name = "新闻内容")
    private String noticeContent;

    /** 新闻状态（0未读 1已读） */
    @Excel(name = "新闻状态", readConverterExp = "0=未读,1=已读")
    private String status;

    /** 隐私种类 0:全部 1:本班 2:仅自己 */
    @Excel(name = "隐私种类 0:全部 1:本班 2:仅自己")
    private String type;
    //可见班级id
    private String classIdKeJian;
    //不可见班级id
    private String classIdBuKeJian;

    /** 发件人id */
    @Excel(name = "发件人id")
    private String senderId;

    /** 发件人姓名 */
    @Excel(name = "发件人姓名")
    private String senderName;

    /** 发件人班级id */
    @Excel(name = "发件人班级id")
    private String senderDept;
    /**
     * 学校名称
     */
    private String schoolName;
    /**
     * 头像地址
     */
    private String avatar;
    //点赞
    private String prised;
    //评论
    private String comment;
    //收藏
    private String collect;
    //判断更新的类型 1:评论 2:点赞 3:收藏
    private String updateType;
    private String deleteId;

    public String getClassIdKeJian() {
        return classIdKeJian;
    }

    public void setClassIdKeJian(String classIdKeJian) {
        this.classIdKeJian = classIdKeJian;
    }

    public String getClassIdBuKeJian() {
        return classIdBuKeJian;
    }

    public void setClassIdBuKeJian(String classIdBuKeJian) {
        this.classIdBuKeJian = classIdBuKeJian;
    }

    public String getDeleteId() {
        return deleteId;
    }

    public void setDeleteId(String deleteId) {
        this.deleteId = deleteId;
    }

    public String getUpdateType() {
        return updateType;
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getPrised() {
        return prised;
    }

    public void setPrised(String prised) {
        this.prised = prised;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getCollect() {
        return collect;
    }

    public void setCollect(String collect) {
        this.collect = collect;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public void setNoticeId(Integer noticeId)
    {
        this.noticeId = noticeId;
    }

    public Integer getNoticeId() 
    {
        return noticeId;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setNoticeTitle(String noticeTitle) 
    {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeTitle() 
    {
        return noticeTitle;
    }
    public void setNoticeType(String noticeType) 
    {
        this.noticeType = noticeType;
    }

    public String getNoticeType() 
    {
        return noticeType;
    }
    public void setNoticeContent(String noticeContent) 
    {
        this.noticeContent = noticeContent;
    }

    public String getNoticeContent() 
    {
        return noticeContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSenderId(String senderId) 
    {
        this.senderId = senderId;
    }

    public String getSenderId() 
    {
        return senderId;
    }
    public void setSenderName(String senderName) 
    {
        this.senderName = senderName;
    }

    public String getSenderName() 
    {
        return senderName;
    }
    public void setSenderDept(String senderDept) 
    {
        this.senderDept = senderDept;
    }

    public String getSenderDept() 
    {
        return senderDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noticeId", getNoticeId())
            .append("image", getImage())
            .append("noticeTitle", getNoticeTitle())
            .append("noticeType", getNoticeType())
            .append("noticeContent", getNoticeContent())
            .append("status", getStatus())
            .append("type", getType())
            .append("senderId", getSenderId())
            .append("senderName", getSenderName())
            .append("senderDept", getSenderDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
